Contracts represent the committed revenue agreements between buyers and sellers, detailing products, billing, and payment terms. The contracts API allows you to retrieve contract data from your HubSpot account. For more information on using contracts in HubSpot, see create and manage contracts.
Retrieve contracts
You can retrieve all contracts or individual contracts by ID as needed.
- To retrieve all contracts, make a
GET request to /crm/objects/2026-03/contracts
- To retrieve a specific contract, make a
GET request to /crm/objects/2026-03/contracts/{contractId}
The response will include a few default properties, including the create date and last modified date. To return additional properties, specify the properties by name using the ?properties= query parameter.
For example, to fetch contracts and their corresponding ID, name, and effective start date, make a GET request to /crm/objects/2026-03/contracts?properties=hs_name,hs_contract_effective_date
{
"results": [
{
"id": "398334119041",
"properties": {
"hs_contract_effective_date": "2025-11-17",
"hs_createdate": "2025-11-17T11:32:10.699Z",
"hs_lastmodifieddate": "2025-11-17T11:32:12.651Z",
"hs_name": "HubBean | Machine servicing | 2025",
"hs_object_id": "398334119041"
},
"createdAt": "2025-11-17T11:32:10.699Z",
"updatedAt": "2025-11-17T11:32:12.651Z",
"archived": false,
"url": "https://app.hubspot.com/contacts/123456/record/0-721/398334119041"
},
{
"id": "399027563070",
"properties": {
"hs_contract_effective_date": "2025-11-27",
"hs_createdate": "2025-11-27T11:26:47.649Z",
"hs_lastmodifieddate": "2025-11-27T11:26:49.449Z",
"hs_name": "HubBean coffee | Machine servicing | 2025",
"hs_object_id": "399027563070"
},
"createdAt": "2025-11-27T11:26:47.649Z",
"updatedAt": "2025-11-27T11:26:49.449Z",
"archived": false,
"url": "https://app.hubspot.com/contacts/123456/record/contracts/399027563070"
}
]
}
Last modified on June 16, 2026